% -------------------------------------------------------------------------
% function HfssSetTransparency(fid, HObjectList, HValue)
% 
% Popis funkce
% -----------
% Funkce nastavuje pruhlednost objektu.
%
% Parametery
% ----------
% fid - soubor identifikujici HFSS script.
% HObjectList - a cell-array of objects whose transparency needs to be set.
% HValue - hodnota pruhlednosti (muze byt od 0 do 1).
%
% Priklad pouziti funkce
% -------
% HfssSetTransparency(fid, 'AirBox', 0.95);
% -------------------------------------------------------------------------

function HfssSetTransparency(fid, HObjectList, HValue)
global Editor

if ((HValue < 0) || (HValue > 1))
	error('Hodnota musi byt v intervalu od 0 do 1!');
end;

%Zapsani do souboru temp
fprintf(fid,'%% Nastaveni pruhlednosti objektu\n');
fprintf(fid,'invoke(Editor,''ChangeProperty'',...\n');
fprintf(fid,'{''NAME:AllTabs'',...\n');
fprintf(fid,'{''NAME:Geometry3DAttributeTab'',...\n');
fprintf(fid,['{''NAME:PropServers'',''',HObjectList,'''},...\n']);
fprintf(fid,'{''NAME:ChangedProps'',...\n');
fprintf(fid,['{''NAME:Transparent'',''Value:='',',num2str(HValue),'}}}});\n\n']);

%Prime vykonani v programu HFSS
invoke(Editor,'ChangeProperty',...
{'NAME:AllTabs',...
{'NAME:Geometry3DAttributeTab',...
{'NAME:PropServers',HObjectList},...
{'NAME:ChangedProps',...
{'NAME:Transparent','Value:=',HValue}}}});

end